Daraja HTTP Framework 3.0-MS1 HTTP server framework for Object Pascal

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
TdjWebComponentHolder Class Reference

Holds a WebComponent and configuration data. More...

Inheritance diagram for TdjWebComponentHolder:

## Public Member Functions
| TdjWebComponentHolder (TdjWebComponentClass WebComponentClass)
| Constructor.
| ~TdjWebComponentHolder ()
| Destructor.
IContext | GetContext ()
| Get the context.
| SetContext (const IContext Context)
| Set the context.
| SetInitParameter (const string Key, const string Value)
| Set initialization parameter.
| DoStart ()
| Start the component.
| DoStop ()
| Stop the component.
| Handle (TdjServerContext Context, TdjRequest Request, TdjResponse Response)
Public Member Functions inherited from TdjGenericHolder
| TdjGenericHolder (TInterfacedClass AClass)
Public Member Functions inherited from TdjLifeCycle
| Start ()
| Start the handler.
| Stop ()
| Stop the handler.
Boolean | IsStarted ()
Boolean | IsStopped ()

## Public Attributes
TdjWebComponentClass | WebComponentClass
| The Web Component Class.
TdjWebComponent | WebComponent
| The instance of the Web Component.
Public Attributes inherited from TdjGenericHolder
string | Name
Public Attributes inherited from TdjLifeCycle
Boolean | Started
| True if the state is "started".
Boolean | Stopped
| True if the state is "stopped".

## Additional Inherited Members
Protected Member Functions inherited from TdjLifeCycle
| DoStart ()
| Execute the custom start code.
| DoStop ()
| Execute the custom stop code.
| CheckStarted ()
| Raises an exception if the lifecycle is in "started" state.
| CheckStopped ()
| Raises an exception if the lifecycle is in "stopped" state.

## Detailed Description

Holds a WebComponent and configuration data.

## Constructor & Destructor Documentation

## ◆ TdjWebComponentHolder()

TdjWebComponentHolder::TdjWebComponentHolder | ( | TdjWebComponentClass | WebComponentClass | ) |

Constructor.

Parameters

  WebComponentClass | the Web Component class

References WebComponentClass.

## Member Function Documentation

## ◆ SetContext()

TdjWebComponentHolder::SetContext | ( | const IContext | Context | ) |

Set the context.

Parameters

  Context | the context

Referenced by TdjWebComponentContextHandler::AddWebComponent(), and TdjWebComponentContextHandler::AddWebComponent().

## ◆ SetInitParameter()

TdjWebComponentHolder::SetInitParameter | ( | const string | Key,
|  | const string | Value )

Set initialization parameter.

Parameters

  Key | init parameter name
  Value | init parameter value

## Member Data Documentation

## ◆ WebComponent

TdjWebComponent TdjWebComponentHolder::WebComponent

The instance of the Web Component.

See also
  GetWebComponent For reading

## ◆ WebComponentClass

TdjWebComponentClass TdjWebComponentHolder::WebComponentClass

The Web Component Class.

See also
  GetClass For reading

Referenced by TdjWebComponentContextHandler::AddWebComponent(), and TdjWebComponentHolder().